<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<body>

<h1>Image Formats - Raw / Headerless</h1>

<p>Imageviewer will read and display several raw YUV file formats which are used in professional video
and image processing applications</P>

<p>These files are headerless and only contain pixel data. Parameters such as image dimensions, chrominance
subsampling and colour matrix type are not contained within the file and must be set by the user.</p>

<h2>UYVY (2VUY) 4:2:2 Multiplexed</h2>

<TABLE BORDER=1 CELLSPACING=1>
   <TR>

      <TH ALIGN=center COLSPAN=4>
         <P>Pixels 0-1</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=4>
         <P>Increasing Address Order</P>
      </TH>

   </TR>
   <TR>
      <TH ALIGN=center>
         <P>Byte 0</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 1</P>
      </TH>

      <TH ALIGN=center>
         <P>Byte 2</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 3</P>
      </TH>
   </TR>

   <TR>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">8-bit Cb</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">8-bit Y&#180;0</FONT></P>
      </TD>

      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">8-bit Cr</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">8-bit Y&#180;1</FONT></P>
      </TD>
   </TR>

</TABLE>


<p>8 bit components are multiplexed together. This format uses Video-Range
Mapping with Unsigned Y, Offset Binary Cb, Cr</p>

<h2>V216 4:2:2 Mutliplexed</h2>

<TABLE BORDER=1 CELLSPACING=1>
   <TR>

      <TH ALIGN=center COLSPAN=8>
         <P>Pixels 0-1</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=8>
         <P>Increasing Address Order</P>
      </TH>

   </TR>
   <TR>
      <TH ALIGN=center>
         <P>Byte 0</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 1</P>
      </TH>

      <TH ALIGN=center>
         <P>Byte 2</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 3</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 4</P>

      </TH>
      <TH ALIGN=center>
         <P>Byte 5</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 6</P>
      </TH>
      <TH ALIGN=center>

         <P>Byte 7</P>
      </TH>
   </TR>
   <TR>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">Cb(7:0)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">Cb(15:8)</FONT></P>
      </TD>
      
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y0(7:0)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y0(15:8)</FONT></P>
      </TD>

      
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">Cr(7:0)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">Cr(15:8)</FONT></P>
      </TD>

      
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y1(7:0)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y1(15:8)</FONT></P>
      </TD>      
   </TR>
</TABLE>

<P>Each n-bit component is left justified in a 16 bit
<STRONG>little-endian</STRONG> word. The 16-n least significant bits
of the 16 bit word are zero bits. This format Video-Range
Mapping with Unsigned Y, Offset Binary Cb, Cr


<h2>UY16 4:2:2 Multiplexed</h2>

<TABLE BORDER=1 CELLSPACING=1>
   <TR>

      <TH ALIGN=center COLSPAN=8>
         <P>Pixels 0-1</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=8>
         <P>Increasing Address Order</P>
      </TH>

   </TR>
   <TR>
      <TH ALIGN=center>
         <P>Byte 0</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 1</P>
      </TH>

      <TH ALIGN=center>
         <P>Byte 2</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 3</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 4</P>

      </TH>
      <TH ALIGN=center>
         <P>Byte 5</P>
      </TH>
      <TH ALIGN=center>
         <P>Byte 6</P>
      </TH>
      <TH ALIGN=center>

         <P>Byte 7</P>
      </TH>
   </TR>
   <TR>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">Cb(15:8)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">Cb(7:0)</FONT></P>
      </TD>
      
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y0(15:8)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y0(7:0)</FONT></P>
      </TD>

      
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">Cr(15:8)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">Cr(7:0)</FONT></P>
      </TD>

      
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y1(15:8)</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">Y1(7:0)</FONT></P>
      </TD>      
   </TR>
</TABLE>

<P>Each n-bit component is right justified in a 16 bit
<STRONG>big-endian</STRONG> word. The 16-n most significant bits
of the 16 bit word are zero bits. This format uses Video-Range
Mapping with Unsigned Y, Offset Binary Cb, Cr</P>


<h2>V210 4:2:2 Multiplexed</h2>

<TABLE BORDER=1 CELLSPACING=1>
   <TR>

      <TH ALIGN=center COLSPAN=4>
         <P>Pixels 0-5</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=4>
         <P>Increasing Address Order</P>
      </TH>

   </TR>
   <TR>
      <TH ALIGN=center>
         <P>Bytes 0-3</P>
      </TH>
      <TH ALIGN=center>
         <P>Bytes 4-7</P>
      </TH>

      <TH ALIGN=center>
         <P>Bytes 8-11</P>
      </TH>
      <TH ALIGN=center>
         <P>Bytes 12-15</P>
      </TH>
   </TR>
   <TR>

      <TD ALIGN=center>
         <P>32-bit LE word 0</P>
      </TD>
      <TD ALIGN=center>
         <P>32-bit LE word 1</P>
      </TD>
      <TD ALIGN=center>
         <P>32-bit LE word 2</P>

      </TD>
      <TD ALIGN=center>
         <P>32-bit LE word 3</P>
      </TD>
   </TR>
</TABLE>


<P>Here are the bits of the four 32-bit little-endian words in
decreasing address order. Each component is numbered with its
spatial order. As you move from left to right in the image,
Y goes from 0 to 5 and Cb and Cr go from 0 to 2.</P>

<TABLE BORDER=1 CELLSPACING=1>
   <TR>
      <TH ALIGN=center COLSPAN=32>
         <P>Word 0</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=32>

         <P>Decreasing Address Order</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 3</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>

         <P>Byte 2</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 1</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 0</P>

      </TH>
   </TR>
   <TR>
      <TD ROWSPAN=2>
         <P>X</P>
      </TD>
      <TD ROWSPAN=2>
         <P>X</P>

      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#B80000">Cr 0</FONT></P>
      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#00772A">Y&#180; 0</FONT></P>
      </TD>

      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#0024EE">Cb 0</FONT></P>
      </TD>
   </TR>
   <TR><TD ALIGN=center>
         <P><FONT COLOR="#B80000">9</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#B80000">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">6</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">5</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">4</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#B80000">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">1</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">0</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">9</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">6</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">5</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">4</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">1</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">0</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">9</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#0024EE">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">6</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">5</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">4</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#0024EE">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">1</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">0</FONT></P>
      </TD>
   </TR>
</TABLE>

<TABLE BORDER=1 CELLSPACING=1>
   <TR>
      <TH ALIGN=center COLSPAN=32>

         <P>Word 1</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=32>
         <P>Decreasing Address Order</P>
      </TH>
   </TR>

   <TR>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 3</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 2</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>

         <P>Byte 1</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 0</P>
      </TH>
   </TR>
   <TR>
      <TD ROWSPAN=2>

         <P>X</P>
      </TD>
      <TD ROWSPAN=2>
         <P>X</P>
      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#00772A">Y&#180; 2</FONT></P>

      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#0024EE">Cb 1</FONT></P>
      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#00772A">Y&#180; 1</FONT></P>
      </TD>

   </TR>
   <TR><TD ALIGN=center>
         <P><FONT COLOR="#00772A">9</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">8</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">6</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">5</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">4</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">3</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">1</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">0</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">9</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">8</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#0024EE">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">6</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">5</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">4</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">3</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#0024EE">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">1</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">0</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">9</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">8</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">6</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">5</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">4</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">3</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">1</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">0</FONT></P>

      </TD>
   </TR>
</TABLE>


<TABLE BORDER=1 CELLSPACING=1>
   <TR>
      <TH ALIGN=center COLSPAN=32>
         <P>Word 2</P>
      </TH>

   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=32>
         <P>Decreasing Address Order</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=8>

         <P>Byte 3</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 2</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 1</P>

      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 0</P>
      </TH>
   </TR>
   <TR>
      <TD ROWSPAN=2>
         <P>X</P>

      </TD>
      <TD ROWSPAN=2>
         <P>X</P>
      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#0024EE">Cb 2</FONT></P>
      </TD>
      <TD ALIGN=center COLSPAN=10>

         <P><FONT COLOR="#00772A">Y&#180; 3</FONT></P>
      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#B80000">Cr 1</FONT></P>
      </TD>
   </TR>
   <TR><TD ALIGN=center>

         <P><FONT COLOR="#0024EE">9</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">7</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">6</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">5</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#0024EE">4</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">2</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">1</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#0024EE">0</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">9</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">7</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">6</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">5</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">4</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">2</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">1</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">0</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#B80000">9</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">7</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">6</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">5</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#B80000">4</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">2</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">1</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">0</FONT></P>
      </TD>
   </TR>

</TABLE>


<TABLE BORDER=1 CELLSPACING=1>
   <TR>
      <TH ALIGN=center COLSPAN=32>
         <P>Word 3</P>
      </TH>
   </TR>
   <TR>

      <TH ALIGN=center COLSPAN=32>
         <P>Decreasing Address Order</P>
      </TH>
   </TR>
   <TR>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 3</P>
      </TH>

      <TH ALIGN=center COLSPAN=8>
         <P>Byte 2</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 1</P>
      </TH>
      <TH ALIGN=center COLSPAN=8>
         <P>Byte 0</P>

      </TH>
   </TR>
   <TR>
      <TD ROWSPAN=2>
         <P>X</P>
      </TD>
      <TD ROWSPAN=2>
         <P>X</P>

      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#00772A">Y&#180; 5</FONT></P>
      </TD>
      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#B80000">Cr 2</FONT></P>
      </TD>

      <TD ALIGN=center COLSPAN=10>
         <P><FONT COLOR="#00772A">Y&#180; 4</FONT></P>
      </TD>
   </TR>
   <TR><TD ALIGN=center>
         <P><FONT COLOR="#00772A">9</FONT></P>
      </TD>

      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">6</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">5</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">4</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">1</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">0</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">9</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#B80000">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">6</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">5</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">4</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#B80000">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">1</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#B80000">0</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">9</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">8</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">7</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">6</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">5</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">4</FONT></P>
      </TD>
      <TD ALIGN=center>

         <P><FONT COLOR="#00772A">3</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">2</FONT></P>
      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">1</FONT></P>

      </TD>
      <TD ALIGN=center>
         <P><FONT COLOR="#00772A">0</FONT></P>
      </TD>
   </TR>
</TABLE>

<P>12 10-bit unsigned components are packed into four 32-bit
<STRONG>little-endian</STRONG> words. The X bits are zero bits.
This format uses "Video-Range" Mapping with Unsigned Y, Offset Binary Cb, Cr.</P>

<h2>YYY8 Luminance Only</h2>

<TABLE BORDER=1 CELLSPACING=1>

   <TR>
      <TH ALIGN=center>
         <P>Pixel 0</P>
      </TH>
   </TR>

   <TR>
      <TH ALIGN=center>
         <P>Byte 0</P>
      </TH>
   </TR>

   <TR>
      <TD ALIGN=center>
         <P>8-bit Luminance</FONT></P>
      </TD>
   </TR>

</TABLE>

<p>This format contains a single 8 bit luminance plane with data stored as bytes in raster order</p>

<h2>YY16 Luminance Only</h2>

<TABLE BORDER=1 CELLSPACING=1>

   <TR>
      <TH ALIGN=center COLSPAN=2>
         <P>Pixel 0</P>
      </TH>
   </TR>

   <TR>
      <TD ALIGN=center>
         <P>Byte 0</P>
      </TD>
      
      <TD ALIGN=center>
         <P>Byte 1</P>
      </TD>

   </TR>

   <TR>
      <TD ALIGN=center>
         <P>MSB</FONT></P>
      </TD>
      
      <TD ALIGN=center>
         <P>LSB</FONT></P>
      </TD>      
   </TR>

</TABLE>

<p>This format contains a 16 bit luminance plane with data stored in 16 bit words in raster order.
The 16 bit data is packed into big-endian words.</p>

<h2>YV12 4:2:0 8 Bit Planar</h2>

<p>This format contains contiguous data for Y, Cb and Cr components. 
4:2:0 Chroma subsampling is used. N luminance samples are followed by (N/4) Cr and
(N/4) Cb samples. This format uses "Video-Range" Mapping with Unsigned Y, Offset Binary Cb, Cr.</p>

<h2>i420 4:2:0 8 Bit Planar</h2>

<p>This format contains contiguous data for Y, Cb and Cr components. 
4:2:0 Chroma subsampling is used. N luminance samples are followed by (N/4) Cb and
(N/4) Cr samples. This format uses "Video-Range" Mapping with Unsigned Y, Offset Binary Cb, Cr.</p>

<h2>16P4 4:4:4 16 Bit Planar</h2>

<TABLE BORDER=1 CELLSPACING=1>

   <TR>
      <TH ALIGN=center COLSPAN=2>
         <P>Sample 0</P>
      </TH>
   </TR>

   <TR>
      <TD ALIGN=center>
         <P>Byte 0</P>
      </TD>
      
      <TD ALIGN=center>
         <P>Byte 1</P>
      </TD>

   </TR>

   <TR>
      <TD ALIGN=center>
         <P>MSB</FONT></P>
      </TD>
      
      <TD ALIGN=center>
         <P>LSB</FONT></P>
      </TD>      
   </TR>

</TABLE>


<p>This format contains contiguous data for Y, Cb and Cr components. 
4:4:4 Chroma sampling is used. N luminance samples are followed by N Cb and
N Cr samples. Each n-bit component is left justified in a 16 bit big-endian word.
The 16-n least significant bits of the 16 bit word are zero bits. This format
uses "Video-Range" Mapping with Unsigned Y, Offset Binary Cb, Cr.</p>

<h2>16P2 4:2:2 16 Bit Planar</h2>

<TABLE BORDER=1 CELLSPACING=1>

   <TR>
      <TH ALIGN=center COLSPAN=2>
         <P>Sample 0</P>
      </TH>
   </TR>

   <TR>
      <TD ALIGN=center>
         <P>Byte 0</P>
      </TD>
      
      <TD ALIGN=center>
         <P>Byte 1</P>
      </TD>

   </TR>

   <TR>
      <TD ALIGN=center>
         <P>MSB</FONT></P>
      </TD>
      
      <TD ALIGN=center>
         <P>LSB</FONT></P>
      </TD>      
   </TR>

</TABLE>

<p>This format contains contiguous data for Y, Cb and Cr components. 
4:2:2 Chroma sampling is used. N luminance samples are followed by (N/2) Cb and
(N/2) Cr samples. Each n-bit component is left justified in a 16 bit big-endian word.
The 16-n least significant bits of the 16 bit word are zero bits. This format
uses "Video-Range" Mapping with Unsigned Y, Offset Binary Cb, Cr.</p>

<h2>16P0 4:2:0 16 Bit Planar</h2>

<TABLE BORDER=1 CELLSPACING=1>

   <TR>
      <TH ALIGN=center COLSPAN=2>
         <P>Sample 0</P>
      </TH>
   </TR>

   <TR>
      <TD ALIGN=center>
         <P>Byte 0</P>
      </TD>
      
      <TD ALIGN=center>
         <P>Byte 1</P>
      </TD>

   </TR>

   <TR>
      <TD ALIGN=center>
         <P>MSB</FONT></P>
      </TD>
      
      <TD ALIGN=center>
         <P>LSB</FONT></P>
      </TD>      
   </TR>

</TABLE>

<p>This format contains contiguous data for Y, Cb and Cr components. 
4:2:2 Chroma sampling is used. N luminance samples are followed by (N/4) Cb and
(N/4) Cr samples. Each n-bit component is left justified in a 16 bit big-endian word.
The 16-n least significant bits of the 16 bit word are zero bits. This format
uses "Video-Range" Mapping with Unsigned Y, Offset Binary Cb, Cr.</p>


<h1>Image Formats - With Header</h1>

<P>Imageviewer supports a small number of image formats that have a descriptive header.</p>

<h2>PGM</h2>

<P>Imageviewer will display a PGM file as a luminance only image. Varying image bit depths are
allowed, but the MAXVAL in the PGM header should be (2^depth)-1 for consistent results. The PGM
header must be of the following form:-</p>

<P><code>
P5 128 128 255<br>
[binary pixel data...]
</code></P>

<p>See <a HREF="http://netpbm.sourceforge.net/doc/pgm.html">http://netpbm.sourceforge.net/doc/pgm.html</a>
for the PGM format specification.</p>

Imageviewer does not expect PPM files to contain more than one image.

<h2>PPM</h2>

<P>Imageviewer will read a PGM file as 4:4:4 RGB. Varying image bit depths are
allowed, but the MAXVAL in the PGM header should be (2^depth)-1 for consistent results. The PPM
header must be of the following form:-</p>

<P><code>
P6 128 128 255<br>
[binary pixel data...]
</code></P>

<p>See <a HREF="http://netpbm.sourceforge.net/doc/ppm.html">http://netpbm.sourceforge.net/doc/ppm.html</a>
for the PPM format sepecification.</p>

Imageviewer does not expect PPM files to contain more than one image.

<h2>SGI</h2>

<P>Imageviewer will read an 8 or 16 bit, greyscale or RGB SGI file. 16 bit data is assumed to be left
justified. There is no support for RLE compressed SGI files. Files containing 4 planes of RGBA data
will have the Alpha plane discarded.</p>

</body>
</html>
